<h4>Name : Hasaranga U.G.N</h4>
<h4>IT Number : IT17095754</h4>
<h4>Group ID : 2020-046</h4>
<h4>Research : CIAT - Child Intelligent Assessment Tool</h4>
<h4>Individual Component: AT - Arithmetic Test</h4>


<hr>

<br><br>
**Child Intelligence Assessment Tool**

**Abstract**

Arithmetic tests have been long used by psychologists and researchers for early detection of psychological and neurological impairments. These tests allow 
subjects to naturally express themselves as opposed to an interview or a drawing assessment. Arithmetic Test (AT) is a well-known and established 
neurological test designed to detect signs of perceptual distortions. The original test consists of thirteen arithmetic test scenarios which are categorized 
from grade one to grade  five with different operators and different types of equations for each grade. The supervisor is  asked to write answers to each 
equation. The test typically takes 10–15 minutes, after which the results are scored based on correct answers. The manual scoring of the test, however, is
a time consuming and lengthy procedure especially when a large number of subjects is to be analyzed. 
This paper proposes the application of image processing techniques to identify numbers and generates the results automatically. Also analysis of incorrect 
answers and the equations where the child is confusing when providing the answers are under consideration in our application. A comparison of the scores 
reported by the automated system with those assigned by the psychologists not only reveals the effectiveness of the proposed system but also reflects the 
huge research potential this area possesses.

**Research Problem**

When considering the arithmetic test that conducting in the LRH they do the test manually. They just give a printed copy of the equations and child has to 
write answers. In this way they are not considering the time it taken to complete the test and also not considering the difficult questions that child faced 
in the test.
In the tests step by step value of the numbers are increased so there should be a method to identify difficulties when the number value is high by analyzing 
the incorrect answers provided by the child.

**Objectives**

**Main Objective**

Main objective of the research is to develop a mobile application to analyze mathematical capabilities of school children with age between eight to twelve
years.



**Specific Objectives**

Objective 1 : Analyze previous data of the mathematical tests that held in LRH.

Objective 2 : Develop a automated application to perform the diagnosis arithmetic test and capture the child performance time.

Objective 3 : Analyze individual mathematical ability patterns and generate report with correct and incorrect answers.

Objective 4 : Give opportunities to do further analysis on individual capabilities. As and xample if a child facing difficult with division we can provide a another test with 
              that to analyze the child.

<hr>
<br>

<h3>Description of Personal and Facilities</h3>

<table>
  <tr>
    <th>MEMBERS</th>
    <th>COMPONENT</th>
    <th>TASKS</th>
  </tr>
    <td>IT17095754
Hasaranga U.G.N.</td>
    <td>Arithmetic test(AT)</td>
    <td>Gather information: using camera, scanning the test results by mobile application.
Give the result end of the test using standard scoring mechanism.
Generate final report (about growing age) and Storing the data to future analysis.
Recognizing incorrect answers and suggest more tests to the child.
User friendly interface for specially design for children.</td>
  </tr>

 
</table>
